Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 459848 - app-misc/scope does not respect CC
Summary: app-misc/scope does not respect CC
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mikle Kolyada
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: tc-directly
  Show dependency tree
 
Reported: 2013-03-01 09:47 UTC by Agostino Sarubbo
Modified: 2013-03-03 00:07 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2013-03-01 09:47:31 UTC
You receive this bug because this package does not respect my system's CC ( x86_64-pc-linux-gnu-gcc - /usr/bin/x86_64-pc-linux-gnu-gcc ) and calls directly gcc -/usr/bin/gcc
The possible solutions to fix this issue are:
1)Fix the buildsystem, if you can
2)inherit toolchain-funcs and use tc-export CC
3)inherit toolchain-funcs and use emake CC="$(tc-getCC)"


checking for gcc... gcc
checking whether gcc accepts -g... yes
Comment 1 Sergey Popov gentoo-dev 2013-03-03 00:07:21 UTC
It's not respected only on configure stage. Anyway, fixed now:

+  03 Mar 2013; Sergey Popov <pinkbyte@gentoo.org> -scope-0.04.ebuild,
+  scope-0.04-r1.ebuild:
+  Respect CC on configure stage too, wrt bug #459848. Drop old revision